Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597366 - persistent pink vertical line when KMS is enabled on Radeon HD 5770
persistent pink vertical line when KMS is enabled on Radeon HD 5770
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 14:16 EDT by Jeff Layton
Modified: 2018-04-11 04:38 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 13:19:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
photo of screen with pink line (1.13 MB, image/png)
2010-05-28 14:16 EDT, Jeff Layton
no flags Details

  None (edit)
Description Jeff Layton 2010-05-28 14:16:19 EDT
Created attachment 417714 [details]
photo of screen with pink line

When I boot my machine with KMS enabled, as soon as the mode is set the monitor displays a persistent pink line all the way to the left of the screen (photo attached) from top to bottom. The line is persistent even when X starts.

This is the case with:

kernel-2.6.34-11.fc14.x86_64
kernel-2.6.33.4-95.fc13.x86_64

...I haven't tested earlier ones. When I boot with "nomodeset" the problem goes away. lspci info:

01:00.0 VGA compatible controller: ATI Technologies Inc Juniper [Radeon HD 5700 Series]

Let me know if other info would be helpful.
Comment 1 Scott Schmit 2010-05-31 12:36:17 EDT
I also see a pink/magenta line on the left. I haven't tried nomodeset yet, but will.

My hardware:
08:00.0 VGA compatible controller: ATI Technologies Inc Device 6898 (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Device 0b00
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fbfc0000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at e000 [size=256]
	Expansion ROM at fbfa0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Kernel driver in use: radeon
	Kernel modules: radeon

This is connected via HDMI, if that's relevant.
Comment 2 Jeff Layton 2010-06-01 07:15:39 EDT
I tried connecting the monitor via both HDMI and DVI and got the same line. I'll note though that HDMI and DVI on this monitor are connected via the same port (it has a cable with an HDMI port on one and and DVI on the other).

The native resolution on this monitor is 1920x1080 too if that makes any difference.
Comment 3 Scott Schmit 2010-06-01 07:23:52 EDT
The pink line also went away for me when I did nomodeset. FWIW, mine too is a DVI-to-HDMI cable, but it sounds like on Jeff's card, he also gets the line when using the analog cable, so that's not the issue. My resolution is 1920x1200.
Comment 4 Jeff Layton 2010-06-01 13:42:11 EDT
FWIW, I decided today to return this card. The pitiful state of the radeon driver really made this a downgrade from my 3 yo. NVIDIA card. Maybe I can pick up one for a song once the radeon driver properly supports it ;)
Comment 5 Benjamin Kingston 2010-06-27 23:29:35 EDT
I have identical video hardware (HD5770). I also have my HDTV (1920x1080) connected via HDMI, and a DVI monitor (1440x900). I'm using the Mesa Dri Experimental drivers.

I experience the same issue, pink line on left of screen.

I'll add my request to getting this resolved as I have a plasma and fear burn in.
Comment 6 Kevin Fenzi 2010-07-03 15:44:48 EDT
Moving over to xorg-x11-drv-ati for debugging/further ideas.
Comment 7 Bug Zapper 2010-07-30 07:44:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jeff Layton 2010-11-03 14:29:19 EDT
I reacquired one of these cards and when I boot to a 2.6.36 kernel, the pink line is now gone.

Also, I don't think this really belongs with xorg-x11-drv-ati as it's a kernel problem. It's visible even when X isn't running as soon as KMS kicks in.
Comment 9 Matěj Cepl 2010-11-03 18:19:29 EDT
(In reply to comment #8)
> I reacquired one of these cards and when I boot to a 2.6.36 kernel, the pink
> line is now gone.

So, we can close it, right? What's the current version of your kernel and xorg-x11-drv-ati?

> Also, I don't think this really belongs with xorg-x11-drv-ati as it's a kernel
> problem. It's visible even when X isn't running as soon as KMS kicks in.

There is a kernel part of the driver and userspace one ... we prefer to keep both parts together in one component. Kernel developers have enough of their bugs already and these bugs are fixed by Xorg developers anyway.
Comment 10 Jeff Layton 2010-11-05 13:18:06 EDT
(In reply to comment #9)

> So, we can close it, right? What's the current version of your kernel and
> xorg-x11-drv-ati?
> 

I suppose you can probably close with with a resolution of "rawhide":

kernel-2.6.36-1.fc15.x86_64
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64
Comment 11 Jeff Layton 2010-11-05 13:19:29 EDT
Closing with resolution of RAWHIDE. Please reopen if you see this with more recent kernels (2.6.36 and up).

Note You need to log in before you can comment on or make changes to this bug.